UpdatableAsyncActor (Snowpark Java API Reference 1.19.1)

Package com.snowflake.snowpark_java

## Class UpdatableAsyncActor

- java.lang.Object
- - com.snowflake.snowpark_java.DataFrameAsyncActor
  - - com.snowflake.snowpark_java.UpdatableAsyncActor

-     public class UpdatableAsyncActor
      extends DataFrameAsyncActor

  Provides APIs to execute Updatable actions asynchronously.
  Since:
    1.2.0

- - ### Field Summary

    - ### Fields inherited from class com.snowflake.snowpark_java.DataFrameAsyncActor

      `session`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypedAsyncJob<DeleteResult>` | `delete()` | Executes `Updatable.delete` asynchronously.
    `TypedAsyncJob<DeleteResult>` | `delete​(Column condition)` | Executes `Updatable.delete` asynchronously.
    `TypedAsyncJob<DeleteResult>` | `delete​(Column condition, DataFrame sourceData)` | Executes `Updatable.delete` asynchronously.
    `TypedAsyncJob<UpdateResult>` | `update​(java.util.Map<Column,​Column> assignments)` | Executes `Updatable.update` asynchronously.
    `TypedAsyncJob<UpdateResult>` | `update​(java.util.Map<Column,​Column> assignments, Column condition)` | Executes `Updatable.update` asynchronously.
    `TypedAsyncJob<UpdateResult>` | `update​(java.util.Map<Column,​Column> assignments, Column condition, DataFrame sourceData)` | Executes `Updatable.update` asynchronously.
    `TypedAsyncJob<UpdateResult>` | `updateColumn​(java.util.Map<java.lang.String,​Column> assignments)` | Executes `Updatable.update` asynchronously.
    `TypedAsyncJob<UpdateResult>` | `updateColumn​(java.util.Map<java.lang.String,​Column> assignments, Column condition)` | Executes `Updatable.update` asynchronously.
    `TypedAsyncJob<UpdateResult>` | `updateColumn​(java.util.Map<java.lang.String,​Column> assignments, Column condition, DataFrame sourceData)` | Executes `Updatable.update` asynchronously.

    - ### Methods inherited from class com.snowflake.snowpark_java.DataFrameAsyncActor

      `collect, count, toLocalIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### update

          public TypedAsyncJob<UpdateResult> update​(java.util.Map<Column,​Column> assignments)

      Executes `Updatable.update` asynchronously.
      Parameters:
        `assignments` - A map contains the column being updated and the new value.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### updateColumn

          public TypedAsyncJob<UpdateResult> updateColumn​(java.util.Map<java.lang.String,​Column> assignments)

      Executes `Updatable.update` asynchronously.
      Parameters:
        `assignments` - A map contains the column being updated and the new value.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### update

          public TypedAsyncJob<UpdateResult> update​(java.util.Map<Column,​Column> assignments,
                                                    Column condition)

      Executes `Updatable.update` asynchronously.
      Parameters:
        `assignments` - A map contains the column being updated and the new value.
        `condition` - The condition of the Column being updated.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### updateColumn

          public TypedAsyncJob<UpdateResult> updateColumn​(java.util.Map<java.lang.String,​Column> assignments,
                                                          Column condition)

      Executes `Updatable.update` asynchronously.
      Parameters:
        `assignments` - A map contains the column being updated and the new value.
        `condition` - The condition of the Column being updated.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### update

          public TypedAsyncJob<UpdateResult> update​(java.util.Map<Column,​Column> assignments,
                                                    Column condition,
                                                    DataFrame sourceData)

      Executes `Updatable.update` asynchronously.
      Parameters:
        `assignments` - A map contains the column being updated and the new value.
        `condition` - The condition of the Column being updated.
        `sourceData` - Another DataFrame being joined.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### updateColumn

          public TypedAsyncJob<UpdateResult> updateColumn​(java.util.Map<java.lang.String,​Column> assignments,
                                                          Column condition,
                                                          DataFrame sourceData)

      Executes `Updatable.update` asynchronously.
      Parameters:
        `assignments` - A map contains the column being updated and the new value.
        `condition` - The condition of the Column being updated.
        `sourceData` - Another DataFrame being joined.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### delete

          public TypedAsyncJob<DeleteResult> delete()

      Executes `Updatable.delete` asynchronously.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### delete

          public TypedAsyncJob<DeleteResult> delete​(Column condition)

      Executes `Updatable.delete` asynchronously.
      Parameters:
        `condition` - The condition expression
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### delete

          public TypedAsyncJob<DeleteResult> delete​(Column condition,
                                                    DataFrame sourceData)

      Executes `Updatable.delete` asynchronously.
      Parameters:
        `condition` - The condition expression
        `sourceData` - The source DataFrame
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0